package com.bagesoft.test.designpattern.chain;

import java.util.ArrayList;
import java.util.List;

/**
 * e.g. GUI classses <BR>
 * 
 * @author bage
 * 
 */
public class ChainOfResponsibilityPattern {
	public static void main(String[] args) {
		List<Problem> problems = new ArrayList<Problem>();
		problems.add(new Problem("덩치 큰 깡패"));
		problems.add(new Problem("컴퓨터 보안장치"));
		problems.add(new Problem("까칠한 여자"));
		problems.add(new Problem("날렵한 깡패"));
		problems.add(new Problem("폭탄"));

		List<Expert> experts = new ArrayList<Expert>();
		experts.add(new Fighter());
		experts.add(new Hacker());
		experts.add(new Casanova());

		Expert expert = experts.get(0);
		for (int i = 1; i < experts.size(); i++) {
			expert = expert.setNext(experts.get(i));
		}

		for (Problem problem : problems) {
			experts.get(0).support(problem);
		}
	}
}
