package com.bagesoft.test.designpattern.command;

import java.util.ArrayList;
import java.util.List;

public class CommandPattern {
	public static void main(String[] args) {
		List<Command> cmds = new ArrayList<Command>();

		cmds.add(new Command() {
			@Override
			public void execute() {
				System.out.println("조낸 삽질!!");
			}
		});

		cmds.add(new Command() {
			@Override
			public void execute() {
				System.out.println("시장가서 어묵 먹기!");
			}
		});

		// 여기서부터는 실행부..
		for (Command command : cmds) {
			command.execute(); // 이놈은 지가 실행시키는 게 뭔지도 모른다!
		}
	}
}
