package com.bagesoft.test.designpattern.command2;

public class ReversibleCommandPattern {
	public static void main(String[] args) {
		Panel panel = new Panel("빨강");
		CommandStack cs = new CommandStack();
		cs.execute(new PanelChangeCommand(panel, "주황"));
		cs.execute(new PanelChangeCommand(panel, "노랑"));
		cs.execute(new PanelChangeCommand(panel, "초록"));

		System.out.println("--undo 2번--");
		cs.undo();
		cs.undo();
		System.out.println("--redo 1번--");
		cs.redo();
		System.out.println("--excute(검정)--");
		cs.execute(new PanelChangeCommand(panel, "검정"));
		System.out.println("--redo 1번--");
		cs.redo();
	}
}
