package com.bagesoft.test.designpattern.decorator;

/**
 * e.g. java.io.InputStreamReader <BR>
 * e.g. java.io.FileReader <BR>
 * 
 * @author bage
 * 
 */
public class DecoratorPattern {
	public static void main(String[] args) {
		Decorator decorator = new Decorator();
		System.out.println(decorator.print("Hello"));

		Decorator child = new ConcreteDecorator(decorator);
		System.out.println(child.print("Hello"));
	}
}
