package com.bagesoft.test.designpattern.flyweight;

import java.util.HashMap;
import java.util.Map;

public class PersonFactory {
	private static Map<String, Person> map = new HashMap<String, Person>();

	/**
	 * synchronized, static keyword
	 * 
	 * @param name
	 * @return
	 */
	public static synchronized Person getPerson(String name) {
		if (!map.containsKey(name)) {
			Person tmp = new Person(name);
			map.put(name, tmp);
		}
		return map.get(name);
	}
}
