package com.bagesoft.test.designpattern.iterator;

import java.util.Iterator;

public class IteratorPattern {
	public static void main(String[] arg) {
		PersonIterator<Person> people = new PersonIterator<Person>();
		people.add(new Person("박혜웅", 33));
		people.add(new Person("안철수", 50));
		people.add(new Person("홍길동", 100));

		Iterator<Person> iterator = people.iterator();
		while (iterator.hasNext()) {
			System.out.println(iterator.next());
		}
	}
}
