package com.bagesoft.test.designpattern.mediator2;

public class MediatorPattern2 {
	public static void main(String[] args) {
		ControlTower2 tower = new ControlTower2();
		Airplane2[] airplanes = new Airplane2[5];

		for (int no = 0; no < airplanes.length; no++) {
			airplanes[no] = new Airplane2(no);
			airplanes[no].setMediator(tower);
		}

		for (Airplane2 airplane : airplanes) {
			airplane.start();
		}
		tower.start();
	}
}
