package com.bagesoft.test.designpattern.observer;

import java.util.Observable;

public class EventWatcher extends Observable {
	String name;

	public EventWatcher(String name) {
		this.name = name;
	}

	public void action(String event) {
		System.out.println("=======" + event + "========");
		setChanged();
		notifyObservers(event);
	}

	public String getName() {
		return this.name;
	}
}
