package com.bagesoft.test.designpattern.observer;

import java.util.Observable;
import java.util.Observer;

public class ObserverPerson implements Observer {
	private String name;

	public ObserverPerson(String name) {
		this.name = name;
	}

	public void update(Observable o, Object event) {
		if (o instanceof EventWatcher) {
			System.out.println(String.format("%s: '%s'로부터 '%s'를 통보 받음", name,
					((EventWatcher) o).getName(), event.toString()));
			try {
				Thread.sleep(200);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
}