package com.bagesoft.test.designpattern.prototype;

public class PrototypePattern {
	public static void main(String[] args) {
		Prototype prototype = new Prototype("멋지고 잘 생긴");
		try {
			Prototype goodBoy = (Prototype) prototype.clone();
			goodBoy.setDiffData("재벌2세");
			System.out.println(goodBoy.toString());

			Prototype badBoy = (Prototype) prototype.clone();
			badBoy.setDiffData("양아치");
			System.out.println(badBoy.toString());
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
		}
	}
}
