package com.bagesoft.test.designpattern.singleton;

/**
 * e.g. java.lang.Boolean.valuOf() <BR>
 * 
 * @author bage
 * 
 */
public class GlobalCounter {
	private static final GlobalCounter singleton = new GlobalCounter();
	private int count = 0;

	private GlobalCounter() {
	}

	public static GlobalCounter getInstance() {
		return singleton;
	}

	public int increase() {
		return ++count;
	}

	public String toString() {
		return String.valueOf(count);
	}
}
