package com.bagesoft.test.designpattern.state2;

public class Angry extends State2 {
	private static final Angry instance = new Angry();

	private Angry() {
	}

	public static Angry getInstance() {
		return instance;
	}

	public State2 act(Action2 action) {
		switch (action) {
		case DIGEST:
			return Full.getInstance();
		default:
			return null;
		}
	}
	
	public String getDesc() {
		return "Angry";
	}
}
