package com.bagesoft.test.designpattern.state2;

public class Full extends State2 {
	private static final Full instance = new Full();

	private Full() {
	}

	public static Full getInstance() {
		return instance;
	}

	public State2 act(Action2 action) {
		switch (action) {
		case EAT:
			return Angry.getInstance();
		case DIGEST:
			return Hungry.getInstance();
		case GOTOBED:
			return Sleeping.getInstance();
		default:
			return null;
		}
	}
	
	public String getDesc() {
		return "Full";
	}
}
