package com.bagesoft.test.designpattern.state2;

public class Hungry extends State2 {
	private static final Hungry instance = new Hungry("Hungry");

	private Hungry(String name) {
	}

	public static Hungry getInstance() {
		return instance;
	}

	public State2 act(Action2 action) {
		switch (action) {
		case EAT:
			return Full.getInstance();
		default:
			return null;
		}
	}

	public String getDesc() {
		return "Hungry";
	}
}
