package com.bagesoft.test.designpattern.state2;

public abstract class State2 {
	abstract State2 act(Action2 action);

	public abstract String getDesc();

	public static State2 getInitState() {
		return Hungry.getInstance();
	}

	public static boolean isFinalState(State2 arg) {
		if (arg instanceof Sleeping) {
			return true;
		}
		return false;
	}

	public void onEntry() {
	}

	public void onExit() {
	}
}
