package com.bagesoft.test.designpattern.decorator;

public class ConcreteDecorator extends Decorator {
	private Decorator decorator;

	public ConcreteDecorator(Decorator decorator) {
		this.decorator = decorator;
	}

	@Override
	public String print(String msg) {
		return "@" + decorator.print(msg) + "@";
	}
}