package com.bagesoft.test.designpattern.factory;

/**
 * e.g. java.lang.Boolean.valueOf() <BR>
 * 
 * @author bage
 * 
 */
public class FactoryMethodPattern {
	public static void main(String[] args) {
		Animal cow = AnimalFactory.create("소");
		System.out.println("소: " + cow.getDescription());

		Animal cat = AnimalFactory.create("고양이");
		System.out.println("고양이: " + cat.getDescription());

		Animal dog = AnimalFactory.create("개");
		System.out.println("개: " + dog.getDescription());
	}
}
