package com.bagesoft.test.designpattern.mediator;

public class MediatorPattern {
	public static void main(String[] args) {
		ControlTower tower = new ControlTower();
		Airplane[] airplanes = new Airplane[5];
		
		for (int i = 0; i < airplanes.length; i++) {
			airplanes[i] = new Airplane(i);
			airplanes[i].setMediator(tower);
		}

		for (Airplane airplane : airplanes) {
			airplane.start();
		}
	}
}
