package com.bagesoft.test.designpattern.observer;

import java.util.ArrayList;
import java.util.List;
import java.util.Observer;

/**
 * e.g. java.awt.Buttonb.addMouseListener() <BR>
 * 
 * @author bage
 * 
 */
public class ObserverPattern {
	public static void main(String[] args) {
		EventWatcher watcher = new EventWatcher("관찰자");
		List<Observer> observers = new ArrayList<Observer>();

		observers.add(new ObserverPerson("만화책 보는 놈"));
		observers.add(new ObserverPerson("자는 놈"));
		observers.add(new ObserverPerson("포카치는 놈"));
		for (Observer employee : observers) {
			watcher.addObserver(employee);
		}

		watcher.action("사장 뜸");

		watcher.deleteObserver(observers.get(0));
		watcher.action("부사장 뜸");
	}
}
