package com.bagesoft.test.designpattern.prototype;

public class Prototype implements Cloneable {
	private String commonData;
	private String diffData;

	public Prototype(String commonData) {
		this.commonData = commonData;
	}

	public String getCommonData() {
		return commonData;
	}

	public void setDiffData(String diffData) {
		this.diffData = diffData;
	}

	public String getDiffData() {
		return diffData;
	}

	@Override
	public Object clone() throws CloneNotSupportedException {
		Prototype clone = (Prototype) super.clone();
		return clone;
	}

	public String toString() {
		return String
				.format("%s, %s", this.commonData, this.diffData);
	}
}