package com.bagesoft.test.designpattern.state2;

public class Sleeping extends State2 {
	private static final Sleeping instance = new Sleeping();

	private Sleeping() {
	}

	public static Sleeping getInstance() {
		return instance;
	}

	public void onEntry() {
		System.out.println("\t이부자리깜.");
	}

	public State2 act(Action2 action) {
		return null;
	}

	public String getDesc() {
		return "Sleeping";
	}
}
