package com.bagesoft.test.designpattern.strategy;

public class Mart {
	private Seller seller;
	private String martName;

	public Mart(String martName, Seller seller) {
		this.martName = martName;
		this.seller = seller;
	}

	public void order() {
		System.out.println(String.format("%s에서 %s를 팔아요", this.martName,
				seller.getGoods()));
	}
}