package com.bagesoft.test.designpattern.strategy;

/**
 * e.g. java.util.Collections.sort() <BR>
 * 
 * @author bage
 * 
 */
public class StrategyPattern {
	public static void main(String[] args) {
		Mart cpuMart = new Mart("CPU 가게", new CupSeller());
		cpuMart.order();

		Mart phoneMart = new Mart("전화기 가게", new PhoneSeller());
		phoneMart.order();
	}
}
